package cn.superdesk.uniorder.service.order.old.impl;

import cn.superdesk.uniorder.dao.entity.sys.SysGood;
import cn.superdesk.uniorder.dao.mapper.sys.SysGoodMapper;
import cn.superdesk.uniorder.service.order.old.SysGoodsService;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


@Service
public class SysGoodsServiceImpl implements SysGoodsService {


    @Autowired
    SysGoodMapper sysGoodMapper;


    @Override
    public int insertSelective(SysGood t) {
        return sysGoodMapper.insertSelective(t);

    }

    @Deprecated
    @Override
    public int updateByPrimaryKeySelective(SysGood t) {
        return 0;

    }

    @Deprecated
    @Override
    public void deleteObj(Long id) {


    }

    @Override
    public void deleteGoodBySysOrderId(String sysOrderId) {
        sysGoodMapper.deleteGoodBySysOrderId(sysOrderId);
    }

    @Override
    public SysGood findById(Long id) {

        return null;
    }

    @Override
    public List<SysGood> findAll(Map<String, Object> queryMap) {

        return null;
    }

    @Override
    public PageInfo<SysGood> findByPaging(Map<String, Object> params, Integer pageNo, Integer pageSize) {

        return null;
    }


}
